<template>
	<view class="container">
		<text class="iconfont icon-youjiantou zuojiantou" @click="goBack()" style="top: 20rpx;"></text>
		<!-- <view v-for="item in minorMenuLists.filter(v=>v.isShow)" :key="item.title" @click="goteam(item)" class="liBox">
			<view class="infoBox">
				<view class="infoBoxtext">{{item.title}}</view>
			</view>
			<view class="iconBox">
				<i class="iconfont icon-youjiantou"></i>
			</view>
		</view> -->
		<view class="ulBox">
			<view v-for="item in minorMenuLists.filter(v=>v.isShow)" :key="item.title" @click="goteam(item)"
				class="liBox">
				<view class="infoBox">
					<text>{{item.title}}</text>
				</view>
				<view class="iconBox">
					<view class="" v-if="item.isType == 'text'">
						<text>{{item.contentType}}</text>
					</view>
					<i v-else class="iconfont icon-youjiantou"></i>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				minorMenuLists:[
					{title:'成员信息',icon:'shareEcode',link:'',isOpen:true,isShow:true,type: 1},
					{title:'团队业绩',icon:'card',link:'',isOpen:true,isShow:true,type: 2},
				]
			}
		},
		methods: {
			goBack(){
				uni.navigateBack({
					delta: 1  
				});
			},
			goteam(item) {
				console.log(item)
				if(item.type===1){
					uni.navigateTo({
						url:`/pages/personalCenter/teamMembers/teamMembers`,
					})
				}else{
					uni.navigateTo({
						url:`/pages/personalCenter/teamPerformance/teamPerformance`,
					})
				}
			},
		},
		onLoad() {

		},
		mounted() {
		}
	}
</script>

<style lang="scss">
	.container{
		height: 100%;
		background: #FFFFFF;
		padding-top: 50rpx;
	}
	.ulBox {
		padding: 0 30rpx;
	
		.liBox {
			display: flex;
			align-items: center;
			justify-content: space-between;
			border-bottom: 1px solid #E6E6E6;
			height: 92rpx;
			margin-top: 20rpx;
			.infoBox {
				display: flex;
				align-items: center;
	
				image {
					width: 52rpx !important;
					height: 52rpx;
				}
			}
			& > view:first-child{
				position: relative;
				&::after{
					content:'';
					position: absolute;
					left: 0;
					bottom: -6rpx;
					background: linear-gradient(90deg,#FA882F, #D9D9D9);
					border-radius: 4rpx;
					height: 8rpx;
					width: 80rpx;
				}
			}
			&:last-child {
				border: none;
			}
		}
	}
</style>